<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Marketplace</title>
    <link
      href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css"
      rel="stylesheet"
    />
  </head>
  <body class="bg-gray-50 flex flex-col h-screen">
    <header class="bg-white shadow">
      <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
        <button
          onclick="document.getElementById('cart').classList.toggle('hidden');"
          class="p-2 px-4 text-white focus:outline-none rounded-lg bg-indigo-500 hover:bg-indigo-600 float-right"
        >
          Cart (4)
        </button>
        <h1 class="text-3xl font-bold text-gray-900">Baseball marketplace</h1>
      </div>
    </header>

    <main class="relative flex-grow">
      <div
        id="cart"
        class="absolute top-0 right-0 bottom-0 w-1/4 bg-white shadow-md p-4 hidden transition-all duration-200 ease-in-out"
      >
        <h2 class="text-2xl font-bold text-gray-700">Cart</h2>
        <table class="table-auto w-full mt-4 text-gray-500">
          <thead>
            <tr>
              <th class="text-left">Qty</th>
              <th class="text-left">Product</th>
              <th class="text-left">Price</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>3</td>
              <td>Mizuno Heist IQ Cleat</td>
              <td>$230.34</td>
            </tr>
            <tr>
              <td>1</td>
              <td>Rawlings 5150</td>
              <td>$102.89</td>
            </tr>
          </tbody>
        </table>
        <hr class="mt-2" />
        <div class="mt-2 font-bold text-green-600 text-right p-2">
          Total: $43232.32
        </div>
      </div>

      <div class="max-w-7xl mx-auto py-6 sm:px-6 lg:px-8">
        <div class="grid grid-cols-3 gap-4">
          <div
            class="bg-white border-1 border-solid border-gray-300 p-4 rounded-lg shadow-md flex flex-col"
          >
            <h2 class="text-2xl font-bold text-gray-700">Gloves</h2>
            <h3 class="text-xl font-bold text-gray-500">
              Rawlings Gamer Glove Series
            </h3>
            <div class="flex-grow mt-2 p-2">
              <img
                alt="glove"
                class="object-scale-down h-48 w-full"
                src="https://target.scene7.com/is/image/Target/GUEST_dcd80445-9c25-4be2-bbc6-07dfca42d342?wid=488&hei=488&fmt=pjpeg"
              />
            </div>
            <div class="mt-2">
              <ul class="list-disc list-inside text-gray-500 mt-4">
                <li>Right Handed</li>
                <li>Model: 2018</li>
                <li>Size: 11.75 Inch</li>
              </ul>
            </div>
            <div class="flex flex-row mt-4 space-x-4">
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://target.scene7.com/is/image/Target/GUEST_dcd80445-9c25-4be2-bbc6-07dfca42d342?wid=488&hei=488&fmt=pjpeg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-600 rounded-md"
                  src="https://target.scene7.com/is/image/Target/GUEST_dcd80445-9c25-4be2-bbc6-07dfca42d342?wid=488&hei=488&fmt=pjpeg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://target.scene7.com/is/image/Target/GUEST_dcd80445-9c25-4be2-bbc6-07dfca42d342?wid=488&hei=488&fmt=pjpeg"
                />
              </a>
            </div>
            <div class="mt-6">
              <button
                class="p-2 px-4 text-white focus:outline-none rounded-lg bg-indigo-500 hover:bg-indigo-600"
              >
                Add to cart
              </button>
            </div>
          </div>

          <div
            class="bg-white border-1 border-solid border-gray-300 p-4 rounded-lg shadow-md flex flex-col"
          >
            <h2 class="text-2xl font-bold text-gray-700">Bats</h2>
            <h3 class="text-xl font-bold text-gray-500">Rawlings 5150</h3>
            <div class="flex-grow mt-2 p-2">
              <img
                alt="bat"
                class="object-scale-down h-48 w-full"
                src="https://www.tabletenniscoach.me.uk/wp-content/uploads/2019/09/baseball-bat.jpg"
              />
            </div>
            <div class="mt-2">
              <span
                class="bg-green-300 p-2 rounded-lg text-green-800 text-sm font-bold"
              >
                On Sale!
              </span>
              <ul class="list-disc list-inside text-gray-500 mt-4">
                <li>Alloy</li>
                <li>Model: 2018</li>
                <li>Size: 25 Inch</li>
              </ul>
            </div>
            <div class="flex flex-row mt-4 space-x-4">
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-600 rounded-md"
                  src="https://www.tabletenniscoach.me.uk/wp-content/uploads/2019/09/baseball-bat.jpg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://www.tabletenniscoach.me.uk/wp-content/uploads/2019/09/baseball-bat.jpg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://www.tabletenniscoach.me.uk/wp-content/uploads/2019/09/baseball-bat.jpg"
                />
              </a>
            </div>
            <div class="mt-6">
              <button
                class="p-2 px-4 text-white focus:outline-none rounded-lg bg-indigo-500 hover:bg-indigo-600"
              >
                Add to cart
              </button>
            </div>
          </div>

          <div
            class="bg-white border-1 border-solid border-gray-300 p-4 rounded-lg shadow-md flex flex-col"
          >
            <h2 class="text-2xl font-bold text-gray-700">Cleats</h2>
            <h3 class="text-xl font-bold text-gray-500">
              Rawlings Gamer Glove Series
            </h3>
            <div class="flex-grow mt-2 p-2">
              <img
                alt="cleat"
                class="object-scale-down h-48 w-full"
                src="https://www.baseballmonkey.com/media/catalog/product/cache/b32e7142753984368b8a4b1edc19a338/a/d/adidas-baseball-footwear-mens-power-alley-5-low-molded-tpu-cnvy-silmt-wht.jpg"
              />
            </div>
            <div class="mt-2">
              <span
                class="bg-green-300 p-2 rounded-lg text-green-800 text-sm font-bold"
              >
                On Sale!
              </span>
              <ul class="list-disc list-inside text-gray-500 mt-4">
                <li>Right Handed</li>
                <li>Model: 2018</li>
                <li>Size: 11.75 Inch</li>
              </ul>
            </div>
            <div class="flex flex-row mt-4 space-x-4">
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-600 rounded-md"
                  src="https://www.baseballmonkey.com/media/catalog/product/cache/b32e7142753984368b8a4b1edc19a338/a/d/adidas-baseball-footwear-mens-power-alley-5-low-molded-tpu-cnvy-silmt-wht.jpg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://www.baseballmonkey.com/media/catalog/product/cache/b32e7142753984368b8a4b1edc19a338/a/d/adidas-baseball-footwear-mens-power-alley-5-low-molded-tpu-cnvy-silmt-wht.jpg"
                />
              </a>
              <a class="flex-1" href="#">
                <img
                  alt="cleat"
                  class="object-scale-down h-24 w-full border-2 border-indigo-200 rounded-md"
                  src="https://www.baseballmonkey.com/media/catalog/product/cache/b32e7142753984368b8a4b1edc19a338/a/d/adidas-baseball-footwear-mens-power-alley-5-low-molded-tpu-cnvy-silmt-wht.jpg"
                />
              </a>
            </div>
            <div class="mt-6">
              <button
                class="p-2 px-4 text-white focus:outline-none rounded-lg bg-indigo-500 hover:bg-indigo-600"
              >
                Add to cart
              </button>
            </div>
          </div>
        </div>
      </div>
    </main>
  </body>
</html>
